Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface LifecycleManagement

All Known Implementing Classes:
  LifecycleManagementImpl

      public interface LifecycleManagement

LifecycleService interface. This interface is to define these functions: create/configure/live migration Virtual Machine.

Method Summary
`VirtualDisk` | `addDisk(VirtualMachine virtualMachine, DiskConfig diskConfig)` Creates a new disk image on the server pool, and attaches it to the virtual machine.
`VirtualNetworkCard` | `addNIC(VirtualMachine virtualMachine, NICConfig nicConfig)` Adds a new network interface card to the virtual machine.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource sharedDisk)` Deprecated.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk, HardDriveType type, java.lang.String frontEndName)` Deprecated.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Deprecated.
`void` | `attachCD(VirtualMachine virtualMachine, CDConfig cdConfig)` Deprecated.
`void` | `attachCDtoVM(VirtualMachine virtualMachine, CdConfig cdConfig)` Attach a CD to the virtual machine.
`void` | `attachDisk(VirtualDisk disk)` Attaches a disk (previuosly detached) to the virtual machine.
`void` | `attachDisk(VirtualDisk disk, HardDriveType type, java.lang.String frontEndName)` Attaches a disk to the virtual machine
`void` | `attachDisk(VirtualDisk disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Attaches a disk to a virutal machine
`void` | `attachNIC(VirtualNetworkCard nic)` Attach a network interface card to a virtual machine
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)` Attaches a Shared Disk resource available on the server pool.
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName)` Attaches a Shared Disk resource which is available on the server pool.
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Attaches a Shared Disk resource to a virutal machine
`void` | `changeNetworkType(VirtualMachine vm, NetworkType type)` Change the network type inside the virtual machine
`VirtualMachine` | `clone(CloneVmConfig cloneVmConfig)` Clone a virutal machine, using an available virtual machine on the server pool.
`java.util.Map` | `clonePrerequisite(CloneVmConfig conf)`
`void` | `configNIC(java.lang.Long imgId, VirtualNetworkCard nic)` Edit a network interface card in the virtual machine.
`VirtualMachine` | `createVM(ISOVMConfig isoVMConfig)` Deprecated.
`VirtualMachine` | `createVM(PXEVMConfig pxeVMConfig)` Deprecated.
`VirtualMachine` | `createVM(TemplateVMConfig templateVMConfig)` Deprecated.
`VirtualMachine` | `createVmBasedOnISO(ISOVmConfig isoVMConfig)` Creates a new virtual machine, using an available ISO Images resource on the server pool.
`VirtualMachine` | `createVmBasedOnPXE(PXEVMConfig pxeVMConfig)` Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool.
`VirtualMachine` | `createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)` Creates a new virtual machine, using an available Oracle VM Template resource on the server pool.
`java.util.Map` | `createVMPrerequisite(ISOVMConfig conf)`
`java.util.Map` | `createVMPrerequisite(PXEVMConfig pxeVMConfig)`
`java.util.Map` | `createVMPrerequisite(TemplateVMConfig templateVMConfig)`
`VirtualMachine` | `deploy(DeployVmConfig deployVmConfig)` Deploy a virtual machine
`void` | `detachCD(VirtualMachine virtualMachine)` Detach a CD from the virtual machine.
`void` | `detachDisk(VirtualDisk disk)` Detaches a disk from the virtual machine, preserving it physically.
`void` | `detachNIC(VirtualNetworkCard nic)` Detach a network interface card from a virutal machine.
`void` | `detachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)` Detaches a Shared Disk resource from a virtual machine.
`void` | `disableHA(VirtualMachine vm)` Disable virtual machine high availability
`void` | `enableHA(VirtualMachine vm)` Enable virtual machine high availability
`java.lang.String` | `getConsolePassword(VirtualMachine vm)` Get the console password of given virutal machine
`KeyboardLayout[]` | `getKeyboardLayoutArray()` Get all keyboard layout
`OVMGroup` | `getVMGroupByVMId(java.lang.Long vmId)` Get virtual machine group by virtual machine id.
`void` | `liveMigrate(VirtualMachine virtualMachine)` Live Migrates, a virtual machines to another virtual server (on the server pool)
`void` | `liveMigrate(VirtualMachine virtualMachine, VirtualServer virtualServer)` Live Migrates, a virtual machines to a specified server.
`void` | `liveMigrateAll(VirtualServer virtualServer)` Live Migrates all virtual machines being hosted on a virtual server, to other virtual servers (on the server pool)
`void` | `liveMigrateAll(VirtualServer srcServer, VirtualServer tgtServer)` Live Migrate all virtual machines from one server to the other server
`java.util.Map` | `liveMigrateAllPrerequisite(VirtualServer sourceServer)` Prerequiste of migrating all running VMs from sourceServer to other servers in the server pool.
`java.util.Map` | `liveMigratePrerequisite(VirtualMachine vm, VirtualServer targetServer)` Prerequiste of migrating a running VM to targetServer
`void` | `removeDisk(VirtualDisk disk)` Detaches a disk from the virtual machine, and removes it physically from the server pool.
`void` | `removeNIC(VirtualNetworkCard nic)` Removes an existing network interface card from the virtual machine.
`void` | `removeSharedDisk(VirtualMachine virtualMachine, SharedDiskResource sharedDisk)` Deprecated.
`VirtualMachine` | `resetStatus(VirtualMachine virtualMachine)` Reset the status of virtual machine to Error.
`void` | `setBootPriority(VirtualMachine virtualMachine, BootDevice val)` Sets the boot priority of the virtual machine (takes affect on next boot).
`void` | `setConsolePassword(VirtualMachine vm, java.lang.String password)` Set the console password of given virtual machine
`void` | `setCpuCores(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the current number of virtual cpu cores available to the virtual machine.
`void` | `setDynamicMemory(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the current memory value allocated to the virtual machine.
`void` | `setGuestCredential(VirtualMachine vm, java.lang.String username, java.lang.String password)` Change the guest credential.
`void` | `setMaximumMemory(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the maximum memory value, that the virtual machine can be allocated.
`void` | `setNetworkInsideGuest(VirtualNetworkCard[] networks)` Change the network configuration inside the virtual machine
`void` | `setOperatingSystem(VirtualMachine vm, OperatingSystem os)` Set operating system
`void` | `setPreferredServers(VirtualMachine virtualMachine, VirtualServer[] preferredServers)` Set preferred servers
`void` | `setVMConfigParam(java.lang.Long vmId, java.lang.String key, java.lang.String value)` Set parameter's key and value for vm.cfg
`void` | `setVMConfigParam(java.lang.String masterServerIp, java.lang.String vmPath, java.lang.String key, java.lang.String value)` Deprecated.
`void` | `setVMDescription(VirtualMachine virtualMachine, java.lang.String val)` Sets the virtual machine description.
`void` | `setVMKeyboardLayout(java.lang.Long vmId, KeyboardLayout keyboardLayout)` configuration Virtual Machine keyboard layout

Method Detail

### createVMPrerequisite

    java.util.Map createVMPrerequisite(PXEVMConfig pxeVMConfig)
                                       throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVMPrerequisite

    java.util.Map createVMPrerequisite(ISOVMConfig conf)
                                       throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### clonePrerequisite

    java.util.Map clonePrerequisite(CloneVmConfig conf)
                                    throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVMPrerequisite

    java.util.Map createVMPrerequisite(TemplateVMConfig templateVMConfig)
                                       throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAllPrerequisite

    java.util.Map liveMigrateAllPrerequisite(VirtualServer sourceServer)
                                             throws oracle.ovs.biz.exception.OVSException

  Prerequiste of migrating all running VMs from sourceServer to other servers in the server pool.
  Parameters:
    `sourceServer` -
  Returns:
    Map
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigratePrerequisite

    java.util.Map liveMigratePrerequisite(VirtualMachine vm,
                                          VirtualServer targetServer)
                                          throws oracle.ovs.biz.exception.OVSException

  Prerequiste of migrating a running VM to targetServer
  Parameters:
    `vm` -
    `targetServer` -
  Returns:
    Map
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVM

    VirtualMachine createVM(PXEVMConfig pxeVMConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool.
  Parameters:
    `pxeVMConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnPXE

    VirtualMachine createVmBasedOnPXE(PXEVMConfig pxeVMConfig)
                                      throws oracle.ovs.biz.exception.OVSException

  Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool. replace the createVM(PXEVMConfig pxeVMConfig)
  Parameters:
    `pxeVMConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVM

    VirtualMachine createVM(TemplateVMConfig templateVMConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Creates a new virtual machine, using an available Oracle VM Template resource on the server pool. will replaced by createvmBasedOnTemplate
  Parameters:
    `templateVMConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnTemplate

    VirtualMachine createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)
                                           throws oracle.ovs.biz.exception.OVSException

  Creates a new virtual machine, using an available Oracle VM Template resource on the server pool. replace createVM(TemplateVMConfig templateVMConfig)
  Parameters:
    `templateVMConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVM

    VirtualMachine createVM(ISOVMConfig isoVMConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Creates a new virtual machine, using an available ISO Images resource on the server pool. replaced by CreateVMBasedOnISO
  Parameters:
    `isoVMConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnISO

    VirtualMachine createVmBasedOnISO(ISOVmConfig isoVMConfig)
                                      throws oracle.ovs.biz.exception.OVSException

  Creates a new virtual machine, using an available ISO Images resource on the server pool. replace createVM(ISOVMConfig isoVMConfig)
  Parameters:
    `isoVMConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### clone

    VirtualMachine clone(CloneVmConfig cloneVmConfig)
                         throws oracle.ovs.biz.exception.OVSException

  Clone a virutal machine, using an available virtual machine on the server pool.
  Parameters:
    `cloneVmConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deploy

    VirtualMachine deploy(DeployVmConfig deployVmConfig)
                          throws oracle.ovs.biz.exception.OVSException

  Deploy a virtual machine
  Parameters:
    `deployVmConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrate

    void liveMigrate(VirtualMachine virtualMachine)
                     throws oracle.ovs.biz.exception.OVSException

  Live Migrates, a virtual machines to another virtual server (on the server pool)
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrate

    void liveMigrate(VirtualMachine virtualMachine,
                     VirtualServer virtualServer)
                     throws oracle.ovs.biz.exception.OVSException

  Live Migrates, a virtual machines to a specified server.
  Parameters:
    `virtualMachine` -
    `virtualServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAll

    void liveMigrateAll(VirtualServer virtualServer)
                        throws oracle.ovs.biz.exception.OVSException

  Live Migrates all virtual machines being hosted on a virtual server, to other virtual servers (on the server pool)
  Parameters:
    `virtualServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAll

    void liveMigrateAll(VirtualServer srcServer,
                        VirtualServer tgtServer)
                        throws oracle.ovs.biz.exception.OVSException

  Live Migrate all virtual machines from one server to the other server
  Parameters:
    `srcServer` -
    `tgtServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setConsolePassword

    void setConsolePassword(VirtualMachine vm,
                            java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException

  Set the console password of given virtual machine
  Parameters:
    `vm` -
    `password` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getConsolePassword

    java.lang.String getConsolePassword(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException

  Get the console password of given virutal machine
  Parameters:
    `vm` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMConfigParam

    void setVMConfigParam(java.lang.String masterServerIp,
                          java.lang.String vmPath,
                          java.lang.String key,
                          java.lang.String value)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Set parameter's key and value for vm.cfg
  Parameters:
    `masterServerIp` -
    `vmPath` -
    `key` -
    `value` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMConfigParam

    void setVMConfigParam(java.lang.Long vmId,
                          java.lang.String key,
                          java.lang.String value)
                          throws oracle.ovs.biz.exception.OVSException

  Set parameter's key and value for vm.cfg
  Parameters:
    `vmId` -
    `key` -
    `value` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMDescription

    void setVMDescription(VirtualMachine virtualMachine,
                          java.lang.String val)
                          throws oracle.ovs.biz.exception.OVSException

  Sets the virtual machine description.
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setBootPriority

    void setBootPriority(VirtualMachine virtualMachine,
                         BootDevice val)
                         throws oracle.ovs.biz.exception.OVSException

  Sets the boot priority of the virtual machine (takes affect on next boot).
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setCpuCores

    void setCpuCores(VirtualMachine virtualMachine,
                     java.lang.Integer val)
                     throws oracle.ovs.biz.exception.OVSException

  Sets the current number of virtual cpu cores available to the virtual machine.
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setDynamicMemory

    void setDynamicMemory(VirtualMachine virtualMachine,
                          java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException

  Sets the current memory value allocated to the virtual machine.
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setMaximumMemory

    void setMaximumMemory(VirtualMachine virtualMachine,
                          java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException

  Sets the maximum memory value, that the virtual machine can be allocated.
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setGuestCredential

    void setGuestCredential(VirtualMachine vm,
                            java.lang.String username,
                            java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException

  Change the guest credential.
  Parameters:
    `vm` -
    `username` -
    `password` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### resetStatus

    VirtualMachine resetStatus(VirtualMachine virtualMachine)
                               throws oracle.ovs.biz.exception.OVSException

  Reset the status of virtual machine to Error. This API should be used very careful.
  Parameters:
    `virtualMachine` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachCD

    void attachCD(VirtualMachine virtualMachine,
                  CDConfig cdConfig)
                  throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Attach a CD to the virtual machine. replaced by attachCDtoVM
  Parameters:
    `virtualMachine` -
    `cdConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachCDtoVM

    void attachCDtoVM(VirtualMachine virtualMachine,
                      CdConfig cdConfig)
                      throws oracle.ovs.biz.exception.OVSException

  Attach a CD to the virtual machine. replace attachCD(VirtualMachine virtualMachine, CDConfig cdConfig)
  Parameters:
    `virtualMachine` -
    `cdConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachCD

    void detachCD(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Detach a CD from the virtual machine.
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### enableHA

    void enableHA(VirtualMachine vm)
                  throws oracle.ovs.biz.exception.OVSException

  Enable virtual machine high availability
  Parameters:
    `vm` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### disableHA

    void disableHA(VirtualMachine vm)
                   throws oracle.ovs.biz.exception.OVSException

  Disable virtual machine high availability
  Parameters:
    `vm` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addNIC

    VirtualNetworkCard addNIC(VirtualMachine virtualMachine,
                              NICConfig nicConfig)
                              throws oracle.ovs.biz.exception.OVSException

  Adds a new network interface card to the virtual machine.
  Parameters:
    `virtualMachine` -
    `nicConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### configNIC

    void configNIC(java.lang.Long imgId,
                   VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Edit a network interface card in the virtual machine. For now, only can edit the name, bridge,qos,rate limit
  Parameters:
    `imgId` -
    `nic` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachNIC

    void detachNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Detach a network interface card from a virutal machine.
  Parameters:
    `nic` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachNIC

    void attachNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Attach a network interface card to a virtual machine
  Parameters:
    `nic` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeNIC

    void removeNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Removes an existing network interface card from the virtual machine.
  Parameters:
    `nic` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setNetworkInsideGuest

    void setNetworkInsideGuest(VirtualNetworkCard[] networks)
                               throws oracle.ovs.biz.exception.OVSException

  Change the network configuration inside the virtual machine
  Parameters:
    `networks` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### changeNetworkType

    void changeNetworkType(VirtualMachine vm,
                           NetworkType type)
                           throws oracle.ovs.biz.exception.OVSException

  Change the network type inside the virtual machine
  Parameters:
    `vm` -
    `type` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addDisk

    VirtualDisk addDisk(VirtualMachine virtualMachine,
                        DiskConfig diskConfig)
                        throws oracle.ovs.biz.exception.OVSException

  Creates a new disk image on the server pool, and attaches it to the virtual machine.
  Parameters:
    `virtualMachine` -
    `diskConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    void attachDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Attaches a disk (previuosly detached) to the virtual machine.
  Parameters:
    `disk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    void attachDisk(VirtualDisk disk,
                    HardDriveType type,
                    java.lang.String frontEndName)
                    throws oracle.ovs.biz.exception.OVSException

  Attaches a disk to the virtual machine
  Parameters:
    `disk` -
    `type` -
    `frontEndName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    void attachDisk(VirtualDisk disk,
                    HardDriveType type,
                    java.lang.String frontEndName,
                    DiskMode mode)
                    throws oracle.ovs.biz.exception.OVSException

  Attaches a disk to a virutal machine
  Parameters:
    `disk` -
    `type` -
    `frontEndName` -
    `mode` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeDisk

    void removeDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Detaches a disk from the virtual machine, and removes it physically from the server pool.
  Parameters:
    `disk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachDisk

    void detachDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Detaches a disk from the virtual machine, preserving it physically.
  Parameters:
    `disk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    void addSharedDisk(VirtualMachine virtualMachine,
                       SharedDiskResource sharedDisk)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Attaches a Shared Disk resource available on the server pool.
  Parameters:
    `virtualMachine` -
    `sharedDisk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException

  Attaches a Shared Disk resource available on the server pool.
  Parameters:
    `virtualMachine` -
    `sharedDisk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    void addSharedDisk(VirtualMachine virtualMachine,
                       SharedDiskResource disk,
                       HardDriveType type,
                       java.lang.String frontEndName)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Attaches a Shared Disk resource which is available on the server pool.
  Parameters:
    `virtualMachine` -
    `disk` -
    `type` -
    `frontEndName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk disk,
                                 HardDriveType type,
                                 java.lang.String frontEndName)
                                 throws oracle.ovs.biz.exception.OVSException

  Attaches a Shared Disk resource which is available on the server pool.
  Parameters:
    `virtualMachine` -
    `disk` -
    `type` -
    `frontEndName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    void addSharedDisk(VirtualMachine virtualMachine,
                       SharedDiskResource disk,
                       HardDriveType type,
                       java.lang.String frontEndName,
                       DiskMode mode)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Attaches a Shared Disk resource to a virutal machine
  Parameters:
    `virtualMachine` -
    `disk` -
    `type` -
    `frontEndName` -
    `mode` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk disk,
                                 HardDriveType type,
                                 java.lang.String frontEndName,
                                 DiskMode mode)
                                 throws oracle.ovs.biz.exception.OVSException

  Attaches a Shared Disk resource to a virutal machine
  Parameters:
    `virtualMachine` -
    `disk` -
    `type` -
    `frontEndName` -
    `mode` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeSharedDisk

    void removeSharedDisk(VirtualMachine virtualMachine,
                          SharedDiskResource sharedDisk)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Detaches a Shared Disk resource from a virtual machine. *
  Parameters:
    `virtualMachine` -
    `sharedDisk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachSharedVirtualDisk

    void detachSharedVirtualDisk(VirtualMachine virtualMachine,
                                 SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException

  Detaches a Shared Disk resource from a virtual machine.
  Parameters:
    `virtualMachine` -
    `sharedDisk` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setPreferredServers

    void setPreferredServers(VirtualMachine virtualMachine,
                             VirtualServer[] preferredServers)
                             throws oracle.ovs.biz.exception.OVSException

  Set preferred servers
  Parameters:
    `virtualMachine` -
    `preferredServers` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setOperatingSystem

    void setOperatingSystem(VirtualMachine vm,
                            OperatingSystem os)
                            throws oracle.ovs.biz.exception.OVSException

  Set operating system
  Parameters:
    `vm` -
    `os` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getKeyboardLayoutArray

    KeyboardLayout[] getKeyboardLayoutArray()
                                            throws oracle.ovs.biz.exception.OVSException

  Get all keyboard layout
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMGroupByVMId

    OVMGroup getVMGroupByVMId(java.lang.Long vmId)
                              throws oracle.ovs.biz.exception.OVSException

  Get virtual machine group by virtual machine id.
  Parameters:
    `vmId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMKeyboardLayout

    void setVMKeyboardLayout(java.lang.Long vmId,
                             KeyboardLayout keyboardLayout)
                             throws oracle.ovs.biz.exception.OVSException

  configuration Virtual Machine keyboard layout
  Parameters:
    `vmId` -
    `keyboardLayout` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.